API ReferenceWebhooks
Delete Webhook
Roles
adminissuermanaged-issuer
Analytics Events
WEBHOOK_DELETE_STARTWEBHOOK_DELETE_SUCCESSWEBHOOK_DELETE_FAIL
DELETE
/v1/webhooks/{id}Deletes a Webhook by providing its ID.
Analytic events
- WEBHOOK_DELETE_START
- WEBHOOK_DELETE_SUCCESS
- WEBHOOK_DELETE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Webhook ID
Format
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/webhooks/41458e5a-9092-40b7-9a26-d4eb43c5792f"Empty
{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Update Webhook PUT
Updates an existing Webhook by providing its ID. ### **Analytic events** * WEBHOOK_UPDATE_START * WEBHOOK_UPDATE_SUCCESS * WEBHOOK_UPDATE_FAIL
Retrieve Webhook JWKs GET
Retrieves a list of Webhook JWKs (JSON Web Keys) from the tenant. These keys can be used to verify the HTTP signature and validate the integrity and authorship of generated Webhooks. This endpoint does not require authentication and is publicly available by design.